Skip to content
Navigation

Candidates search

POST
https://api.sureshake.com/v2/search/candidates

Request body JSON

  • query
    optional
    string

    Full-text search query

  • skills
    optional
    array of
    string

    Required skill names

  • jobTitles
    optional
    array of
    string

    Current or past job titles

  • companies
    optional
    array of
    string

    Company names or entity IDs

  • educationDegrees
    optional
    array of
    string

    Education degrees

  • educationFields
    optional
    array of
    string

    Education fields

  • locations
    optional
    array of
    string

    Cities or countries

  • experienceYears
    optional
    object

    Years of experience range

    • min
      optional
      number
    • max
      optional
      number
  • hasPortfolio
    optional
    boolean
  • isOpenToWork
    optional
    boolean
  • limit
    optional
    number
    maximum: 100 · minimum: 1 · default: 20
  • offset
    optional
    number
    minimum: 0 · default: 0

Returns

200

Default Response

JSON
  • candidates
    array of
    object
    required
    • id
      string
      required
    • name
      string
      required
    • slug
      string
      or null
      required
    • avatar
      string
      or null
      required
    • bio
      string
      or null
      required
    • title
      string
      or null
      required
    • company
      string
      or null
      required
    • location
      string
      or null
      required
    • topSkills
      array of
      string
      required
    • yearsExperience
      number
      required
    • currentJob
      optional
      object
      • title
        string
        required
      • companyName
        string
        required
    • matchScore
      optional
      number
  • total
    number
    required
  • hasMore
    boolean
    required
  • ranking
    object
    required
    • strategy
      postgres_english_websearch
      or
      recency
      required
    • queryApplied
      boolean
      required

400

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

401

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

403

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

422

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

500

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

503

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

Type to search…

↑↓ navigate↵ selectEsc close